Bio::MAGETAB::SDRFRow(3)

NAME
Bio::MAGETAB::SDRFRow - MAGE-TAB SDRF row class

SYNOPSIS
 use Bio::MAGETAB::SDRFRow;

DESCRIPTION
This class is used to describe the rows in a given MAGE-TAB SDRF document. Links between Nodes, channel and FactorValue are handled by this class. See the BaseClass class for superclass methods, and the SDRF class for its add_nodes method which can be used to automatically sort Nodes into SDRFRows.

ATTRIBUTES

nodes (required)
    A list of Node objects associated with this SDRF row (data type: Bio::MAGETAB::Node).

rowNumber (optional)
    The number of this row within the SDRF. Rows are assumed to be numbered from top to bottom, starting at one for the first data row; however this is not constrained by the model and you may use whatever local conventions you prefer (data type: Integer).

factorValues (optional)
    A list of FactorValues associated with this row (data type: Bio::MAGETAB::FactorValue).

channel (optional)
    The channel used when labeling and scanning for this row (e.g. 'Cy3', 'biotin', 'alexa_588'), usually taken from a suitable ontology (data type: Bio::MAGETAB::ControlledTerm).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass, Bio::MAGETAB::SDRF

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).